# Management apiEndpoints[experimental]

## Create compute service

Open

Experimental endpoint: this API is in active development and may change at any time without notice. Creates a new compute service under the specified project. The `projectId` is required in the request body. The service is placed in the given region (or the default region if omitted).

⚠️ Experimental endpoint: this API is in active development and may change at any time without notice. ⚠️

Creates a new compute service under the specified project. The `projectId` is required in the request body. The service is placed in the given region (or the default region if omitted).

POST `/v1/compute-services`

## [Authorization](/content/docs/management-api/endpoints/%5Bexperimental%5D/post-compute-services#authorization/index.html)

`OAuth2 workspace:admin, offline_access`

Authorization: Bearer <token>

OAuth2 authentication

In: `header`

Scope: `workspace:admin, offline_access`

## [Request Body](/content/docs/management-api/endpoints/%5Bexperimental%5D/post-compute-services#request-body/index.html)

`application/json`

TypeScript Definitions

Use the request body type in TypeScript.

```typescript
{
  displayName: "string",
  regionId?: "string",
  projectId: "string"
}
```

- `displayName`*string
  - Length `1 <= length <= 256`
- `regionId`?string
  - Default `
